/**
 * Soci�t� G�n�rale 
 */
package org.icroco.tablemodel.impl;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * @version $Revision: 1.1 $
 * @author <a href="mailto:christophe.lallement@sgcib.com">Christophe Lallement </a>
 *
 * <!-- $CVSHeader: Common/Client/src/java/deai/ft/archi/common/swing/table/annotation/Messages.java,v 1.1 2006/11/07 09:57:59 clalleme Exp $  -->
 *
 */
public class Messages
{
    private static final String         BUNDLE_NAME     = "org.icroco.tablemodel.impl.messages"; //$NON-NLS-1$

    private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

    private Messages()
    {
    }

    public static String getString(String key)
    {
        try
        {
            return RESOURCE_BUNDLE.getString(key);
        }
        catch (MissingResourceException e)
        {
            return '!' + key + '!';
        }
    }
}
